<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.aiotagro.cattletrade.business.mapper.WarehouseInMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.aiotagro.cattletrade.business.entity.WarehouseIn">
        <id column="id" property="id" />
        <result column="in_number" property="inNumber" />
        <result column="warehouse_id" property="warehouseId" />
        <result column="order_id" property="orderId" />
        <result column="delivery_id" property="deliveryId" />
        <result column="source_location" property="sourceLocation" />
        <result column="source_lon" property="sourceLon" />
        <result column="source_lat" property="sourceLat" />
        <result column="cattle_count" property="cattleCount" />
        <result column="remaining_count" property="remainingCount" />
        <result column="weight" property="weight" />
        <result column="in_time" property="inTime" />
        <result column="photos" property="photos" />
        <result column="videos" property="videos" />
        <result column="remark" property="remark" />
        <result column="status" property="status" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="created_by" property="createdBy" />
        <result column="updated_by" property="updatedBy" />
        <result column="is_delete" property="isDelete" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, in_number, warehouse_id, order_id, delivery_id, source_location, source_lon, source_lat, cattle_count, remaining_count, weight, in_time, photos, videos, remark, status, create_time, update_time, created_by, updated_by, is_delete
    </sql>

</mapper>

